def satz_umformulieren(satz):
    verben = [("mag", "magst"),
              ("liebe", "liebst"),
              ("spiele", "spielst"),
              ("habe", "hast"),
              ("gehe", "gehst"),
              ("rede", "redest")]

    for ich_form, du_form in verben:
        anfang = "Ich " + ich_form + " "
        if satz.startswith(anfang):
            frage = "Warum " + du_form + " Du " + \
                satz[len(anfang):] + "?"
            print(frage)
            return True
    return False


def nach_familie_fragen(satz):
    familienmitglieder = ["Mutter", "Mama", "Mami",
                          "Vater", "Vati", "Papi",
                          "Bruder", "Schwester"]

    woerter = satz.split()
    for familienmitglied in familienmitglieder:
        if familienmitglied in woerter:
            print("Erzähl mir mehr über deine Familie.")
            return True
    return False


def lese_satz():
    # Text einlesen
    eingabe = input()

    # Leerzeichen am Anfang und Ende entfernen
    eingabe = eingabe.strip()

    # Mehrere Leerzeichen hintereinander
    # durch ein einzelnes ersetzen
    while not eingabe.find("  ") < 0:
        eingabe = eingabe.replace("  ", " ")

    # Punkt am Ende entfernen
    if eingabe.endswith("."):
        eingabe = eingabe[:-1]

    return eingabe


import random


def lili():
    kommentare = ["Das klingt interessant.", "Aha."]
    nachfragen = ["Erzähl mir mehr davon!",
                  "Woruber willst du noch sprechen?",
                  "Und weiter?"]

    print("Hallo! Mein Name ist Lili. Schön, dass du",
          "mit mir sprechen willst. Wenn du keine Lust",
          "mehr hast, sag einfach 'Tschüss'.",
          "Was möchtest du mir heute erzählen?")
    print()

    gespraech_zu_ende = False

    while not gespraech_zu_ende:
        eingabe = lese_satz()

        geantwortet = False

        if eingabe == "Tschüß":
            print("Schade, dass du schon gehen willst.",
                  "Bis bald!")
            geantwortet = True
            gespraech_zu_ende = True

        if not geantwortet:
            geantwortet = satz_umformulieren(eingabe)

        if not geantwortet:
            geantwortet = nach_familie_fragen(eingabe)

        if not geantwortet:
            print(random.choice(kommentare), 
                  random.choice(nachfragen))

        print()


