# Pakete zum Lernen
lern_pakete = [
    (4, 3, 1, "nein"),
    (1, 2, 3, "ja"),
    (2, 1, 2, "nein"),
    (4, 4, 3, "ja"),
    (3, 2, 3, "nein")]

# Anfängliche Wichtigkeiten
wichtigkeit_helligkeit = 1
wichtigkeit_groesse = 1
wichtigkeit_smiley = 1

durchlauf = 0
fehler = True

# Wiederhole bis alles richtig gelernt wurde
# aber maximal 5 Durchläufe
while fehler and durchlauf < 5:
    durchlauf = durchlauf + 1
    fehler = False

    # Schleife über alle Lernpakete
    for paket in lern_pakete:
        # Paket entpacken
        helligkeit, groesse, smiley, geschenk = paket

        # Berechnung der Gesamtwichtigkeit
        wert1 = helligkeit * wichtigkeit_helligkeit
        wert2 = groesse * wichtigkeit_groesse
        wert3 = smiley * wichtigkeit_smiley
        gesamtwichtigkeit = wert1 + wert2 + wert3
 
        # Entscheidung
        if gesamtwichtigkeit >= 0:
            geschenk_erwartet = "ja"
        else:
            geschenk_erwartet = "nein"

        # Wichtigkeiten anpassen
        if geschenk_erwartet == "ja" and geschenk == "nein":
            wichtigkeit_helligkeit = wichtigkeit_helligkeit - helligkeit
            wichtigkeit_groesse    = wichtigkeit_groesse - groesse
            wichtigkeit_smiley     = wichtigkeit_smiley - smiley
            fehler = True
        if geschenk_erwartet == "nein" and geschenk == "ja":
            wichtigkeit_helligkeit = wichtigkeit_helligkeit + helligkeit
            wichtigkeit_groesse    = wichtigkeit_groesse + groesse
            wichtigkeit_smiley     = wichtigkeit_smiley + smiley
            fehler = True

# Pakete zum Testen
test_pakete = [
    (5, 3, 1),
    (1, 4, 3),
    (4, 1, 3),
    (1, 3, 3)]

# Schleife über alle Testpakete
for paket in test_pakete:
    # Paket entpacken
    helligkeit, groesse, smiley = paket

    # Berechnung der Gesamtwichtigkeit
    wert1 = helligkeit * wichtigkeit_helligkeit
    wert2 = groesse * wichtigkeit_groesse
    wert3 = smiley * wichtigkeit_smiley
    gesamtwichtigkeit = wert1 + wert2 + wert3

    # Entscheidung
    if gesamtwichtigkeit >= 0:
        geschenk_erwartet = "ja"
    else:
        geschenk_erwartet = "nein"
        
    print(geschenk_erwartet)
