import os

class Knoten ():
    def __init__(self):
        self.children = dict()
        self.label = None

    def istEinBlatt(self):
        return len(self.children)==0

    def istNichtwissenBlatt(self):
        return self.label is None

    def setzeKlasse(self,klasse):
        self.label=klasse

    def welcheKlasse(self):
        return self.label

    def setzeAuswahlMerkmal(self,attribut_name):
        self.label=attribut_name

    def neuesKind(self,wert,kind):
         self.children[wert] = kind

    def kindFuerWert(self,wert):
        if wert in self.children:
            return self.children[wert]

    def __repr__(self, spacing="",prefix=""):
        label = self.label
        if label is None:
            label ="(*)"

        result = spacing + prefix +  label

        if len(self.children) > 0:
            result = result + ": " + os.linesep
            for key in self.children.keys():
                result = result + self.children[key].__repr__(
                            spacing=spacing + " " * len(label) + "|",
                            prefix="-" + key + ": ")
        else:
            result += os.linesep
        return result

def neuesBlatt(klasse):
    blatt = Knoten()
    blatt.label=klasse
    return blatt

def neuesNichtwissenBlatt():
    return Knoten()



